//
//  SnapCustomStatusItemView.h
//  Snap!
//
//  Created by Brandon Schlenker on 5/7/11.
//  Copyright 2011 Brandon Schlenker. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface SnapCustomStatusItemView : NSView 
{
    id delegate;
    BOOL clicked;
    BOOL loading;
    BOOL success;
    BOOL showSuccess;
    NSImageView *image;
}
- (id)initWithFrame:(NSRect)frame controller:(id)del;

@end


@protocol SnapCustomStatusItemViewDelegate <NSObject>

- (void)snapStatusItemView:(SnapCustomStatusItemView *)itemView draggedImage:(NSImage *)image;

@end