//
//  NSColor(CGColor).m
//  Snap!
//
//  Created by Brandon Schlenker on 6/1/11.
//  Copyright 2011 Brandon Schlenker. All rights reserved.
//


@implementation NSColor(CGColor)

- (CGColorRef)CGColor {
    CGColorSpaceRef colorSpace = [[self colorSpace] CGColorSpace];
    NSInteger componentCount = [self numberOfComponents];
    CGFloat *components = (CGFloat *)calloc(componentCount, sizeof(CGFloat));
    [self getComponents:components];
    CGColorRef color = CGColorCreate(colorSpace, components);
    free((void*)components);
    return color;
}

@end