//
//  SnapPhotoCaptureView.h
//  Snap!
//
//  Created by Brandon Schlenker on 5/19/11.
//  Copyright 2011 Brandon Schlenker. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <QuartzCore/QuartzCore.h>
#import <Cocoa/Cocoa.h>

@protocol SnapPhotoCaptureViewDelegate;


@interface SnapPhotoCaptureView : NSImageView
{
    id delegate;
    NSTextField *hoverText;
    BOOL hoverVisible;
}

@property (assign) id delegate;
@property (assign) NSTextField *hoverText;

@end


@protocol SnapPhotoCaptureViewDelegate <NSObject>

- (void)captureViewDidClick:(NSImageView *)view;
- (void)captureViewDidDoubleClick:(NSImageView *)view;

@end