//
//  SnapPreferencesVC.h
//  Snap!
//
//  Created by Brandon Schlenker on 5/17/11.
//  Copyright 2011 Brandon Schlenker. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "DailyBooth.h"
#import <QTKit/QTKit.h>

@interface SnapPreferencesVC : NSViewController
{
    DailyBooth *api;
    
    NSButton *accountButton;
    NSButton *flipCheckBox;
    NSPopUpButton *cameraPicker;
    id delegate;
    NSMutableArray *cameraDevices;
}
@property (assign) IBOutlet NSPopUpButton *cameraPicker;
@property (assign) IBOutlet NSButton *accountButton;
@property (assign) IBOutlet NSButton *flipCheckBox;
@property (assign) id delegate;
- (IBAction)openAbout:(id)sender;
- (IBAction)toggleAccount:(id)sender;
- (IBAction)exitPreferences:(id)sender;
- (IBAction)quitApp:(id)sender;
- (IBAction)selectNewCamera:(id)sender;
- (void)checkAuth;
- (void)showPreferences;
@end
