//
//  Snap_AppDelegate.h
//  Snap!
//
//  Created by Brandon Schlenker on 5/7/11.
//  Copyright 2011 Brandon Schlenker. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <AppKit/AppKit.h>
#import "SnapCustomStatusItemView.h"
#import "DailyBooth.h"
#import "INPopoverController.h"
#import "SnapPreferencesVC.h"

#import "SnapCameraVC.h"
#import "SnapUploadVC.h"

@class INPopoverController;
@interface Snap_AppDelegate : NSObject <NSApplicationDelegate, INPopoverControllerDelegate, SnapCameraVCDelegate, SnapUploadVCDelegate, SnapCustomStatusItemViewDelegate /*,NSPopoverDelegate */> 
{
@private
    SnapCameraVC    *snapCameraVC;
    SnapUploadVC    *snapUploadVC;
 //   NSPopover       *lionPopover;
    NSStatusItem *statusItem;
    NSWindow *photoWindow;
    DailyBooth *dailyBoothAPI;
    INPopoverController *popover;
    SnapPreferencesVC *preferencesController;
    BOOL shouldReset;
}
@property (assign) IBOutlet NSWindow *photoWindow;

- (IBAction)openPreferences:(id)sender;

@end
